QTimerEvent(3qt)

NAME
QTimerEvent - Parameters that describe a timer event

#include <qevent.h>

Inherits QEvent.

  Public Members
QTimerEvent ( int timerId )
int timerId () const

DESCRIPTION
The QTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject::startTimer().

The QTimer class provides a high-level programming interface that uses signals instead of events. It also provides one-shot timers.

The event handler QObject::timerEvent() receives timer events.

See also QTimer, QObject::timerEvent(), QObject::startTimer(), QObject::killTimer() and QObject::killTimers().

Examples: grapher/grapher.cpp xform/xform.cpp progress/progress.cpp qmag/qmag.cpp forever/forever.cpp scrollview/scrollview.cpp

MEMBER FUNCTION DOCUMENTATION

QTimerEvent::QTimerEvent ( int timerId )
Constructs a timer event object with the timer identifier set to timerId.

int QTimerEvent::timerId () const
Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().

SEE ALSO
http://doc.trolltech.com/qtimerevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtimerevent.3) and the Qt version (2.3.2).